﻿/* Large Devices, Wide Screens */
/*body {
    background: #e2e5e9;
}*/
@media only screen and (min-width : 768px) {
    .categories_carousel_in.listing .item {
        height: 130px !important;
    }
   
}
@media only screen and (max-width: 600px) {
    #blogContent img {
        width: 100%;
    }
    .singlepost {
        padding: .8rem;
    }
    .mt-mobile-2 {
        margin-top: .5rem;
    }
    /*.image-container img {
        height: 200px !important;
    }*/
    .image-1 {
        height: 300px !important;
    }
    .image-2 {
        height: 300px !important;
    }
    .image-3 {
        height: 150px !important;
    }
    .image-3 {
        height: 150px !important;
    }
}

.image-1 {
    width: 100% !important;
    height: 500px;
    object-fit: cover !important;
}
.image-2 {
    height: 500px;
    object-fit: cover !important;
    width: calc(50%);
    cursor: pointer;
    border-radius: 1px;
    object-fit: cover;
    border: 1px solid white;
}
.image-3 {
    width: calc(50%);
    cursor: pointer;
    border-radius: 1px;
    height: 250px;
    object-fit: cover;
    border: 1px solid white;
}
.image-4 {
    width: calc(50%);
    cursor: pointer;
    border-radius: 1px;
    height: 200px;
    object-fit: cover;
    border: 1px solid white;
}
.review_card {
    font-size: 14.2px;
    font-family: sans-serif;
    color: #181818;
    background: white;
    line-height: 1.4;
}
.review_card .user_info figure img {
    height: 50px;
    object-fit: cover;
}
.profile-name {
    font-size: 17px;
    margin: 10px 0 0 25px;
    text-align: left;
    margin-left: 35%;
}
.profile {
    position: absolute;
    width: 120px;
    bottom: -60px;
    height: 120px;
    left: 15px;
    border-radius: 50%;
    object-fit: cover;
}
.about {
    margin-left: 35%;
    text-align: left;
    line-height: 1.6;
    margin-top: 5px;
}
.avatar-update {
    object-fit: cover;
    height: 200px;
    width: 200px;
    border-radius: 50%;
}
.ck-editor__editable_inline {
    min-height: 300px;
}
a.btn_hero {
    color: #333 !important;
    text-decoration: none;
}
.image-container {
    display: flex;
    flex-wrap: wrap; /* Cho phép các ảnh xuống dòng khi hết không gian */
}

.more-image-article {
    position: absolute;
    bottom: 14%;
    right: 19%;
    color: #333;
    font-size: 63px;
}
.cursor-pointer{
    cursor: pointer;
}
#imageRate {
    margin-top: 16px;
}
.image-rate {
    width: 80px !important;
    height: 80px;
    object-fit: cover;
    border-radius: 4px !important;
    border: 1px solid #d9d4d4;
}
.image-food-article {
    height: 150px;
    object-fit: cover;
    border-radius: 4px !important;
    border: 1px solid #d9d4d4;
}
.singlepost p {
    line-height: 1.5;
    margin-bottom: 10px;
}
.menu {
    display: flex;
    align-items: center;
}

.menu a {
    color: #2183DF;
    text-decoration: none;
    font-weight: 500;
}
.menu a:hover{
    color: #0458a6;
}

.avatar-blog-detail {
    width: 100%;
    object-fit: cover;
    height: 350px;
    margin-bottom: 15px;
    border-radius: 3px;
}
.singlepost figure{
    margin: 0 0 15px 0 !important;
}
#blogContent figure {
    text-align: center;
}
#blogContent figure figcaption{
    margin-top: 3px;
}
#blogContent img{
    border-radius: 3px;
}
.product-price {
    color: #13683b;
    font-weight: 600;
}
#forgot_pw {
    margin-top: -20px !important;
    min-height: 300px !important;
}
.dropdown-menu.show {
    transform: translate3d(-100px, 21px, 0px) !important;
}
.user_info {
    float: left;
    margin-right: 15px;
}
img.mfp-img{
    height: 400px !important;
    object-fit: cover;
}
.banner-home {
    background-image: url(/images/caurong.jpg) !important;
    background-size: cover !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    height: 500px !important;
}
.block-name-restaurant {
    background: rgb(255 255 254 / 90%) !important;
    padding: 20px !important;
    color: #212529 !important;
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
}
#nameRestaurantDetail {
    color: #212529 !important;
}
.list_home ul li a {
    min-height: 147px !important;
}
.list_home ul li a figure{
    height: 147px !important;
}
.owl-carousel .owl-item img {
    height: 140px;
    object-fit: cover;
}
.page-link {
    font-size: 12px !important;
    padding: 3px 10px !important;
}
.list_menu section {
    padding-top: 0px !important;
    padding-bottom: 25px !important;
}
.name-food {
    display: block;
    display: -webkit-box;
    max-height: 22px;
    font-size: 14px;
    line-height: 1.3;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    font-weight: 700;
}
.card-img {
    height: 100px;
    object-fit: cover;
}
.rateUserAvatar {
    width: 75px;
    height: 75px;
    border-radius: 50%;
    border: 1px solid silver;
}
.ratePoint {
    padding: 10px;
    background: #6c6;
    width: 50px;
    height: 50px;
    font-size: 20px;
    color: white;
    font-weight: bold;
    border-radius: 50%;
    float: inline-end;
}
.text-justify {
    text-align: justify;
}
.fs-10{
    font-size: 10px !important; 
}
.fs-11 {
    font-size: 11px !important;
}
.fs-12 {
    font-size: 12px !important;
}
.fs-13 {
    font-size: 13px !important;
}
.fs-14 {
    font-size: 14px !important;
}
.fs-15 {
    font-size: 15px !important;
}
.fs-16 {
    font-size: 16px !important;
}


.box-loading {
    display: none;
    justify-content: center;
    align-items: center;
    height: 150px;
    position: relative;
}

.loader {
    width: 10%;
    aspect-ratio: 1;
    display: grid;
    border-radius: 50%;
    background: linear-gradient(0deg, rgb(0 0 0 / 50%) 30%, #0000 0 70%, rgb(0 0 0 / 100%) 0) 50% / 8% 100%, linear-gradient(90deg, rgb(0 0 0 / 25%) 30%, #0000 0 70%, rgb(0 0 0 / 75%) 0) 50% / 100% 8%;
    background-repeat: no-repeat;
    animation: l23 1s infinite steps(12);
    position: absolute;
    top: 45%;
    left: 45%;
}

    .loader::before,
    .loader::after {
        content: "";
        grid-area: 1/1;
        border-radius: 50%;
        background: inherit;
        opacity: 0.915;
        transform: rotate(30deg);
    }

    .loader::after {
        opacity: 0.83;
        transform: rotate(60deg);
    }

@keyframes l23 {
    100% {
        transform: rotate(1turn)
    }
}


/* Rating 5sao */
*, *::before, *::after {
    box-sizing: border-box;
}


.visuhide {
    position: absolute !important;
    overflow: hidden;
    width: 1px;
    height: 1px;
    clip: rect(1px, 1px, 1px, 1px);
}

.star__container {
    display: flex;
    margin: auto;
    border-radius: 0.25em;
    transition: box-shadow 0.3s ease;
}

    .star__container:focus-within {
        /*box-shadow: 0 0.125em 0.5em rgba(0, 0, 0, 0.5);*/
    }

.star__item {
    display: inline-flex;
    width: 1.25em;
    height: 1.5em;
    filter: grayscale(1);
    font-size: 30px;
    cursor: pointer;
}

    .star__item::before {
        content: '⭐️';
        display: inline-block;
        margin: auto;
        font-size: 0.75em;
        vertical-align: top;
        backface-visibility: hidden;
        transform-origin: 50% 33.3%;
        transition: transform 0.3s ease-out;
    }

.star__container:hover .star__item,
.star__radio:checked ~ .star__item {
    filter: grayscale(0);
}

.star__item:hover ~ .star__item {
    filter: grayscale(1);
}

.star__radio:nth-of-type(1):checked ~ .star__item:nth-of-type(1)::before,
.star__radio:nth-of-type(2):checked ~ .star__item:nth-of-type(2)::before,
.star__radio:nth-of-type(3):checked ~ .star__item:nth-of-type(3)::before,
.star__radio:nth-of-type(4):checked ~ .star__item:nth-of-type(4)::before,
.star__radio:nth-of-type(5):checked ~ .star__item:nth-of-type(5)::before {
    transform: scale(1.5);
    transition-timing-function: cubic-bezier(0.5, 1.5, 0.25, 1);
}

.star__container:not(:hover) > .star__radio:nth-of-type(1):checked ~ .star__item:nth-of-type(1) ~ .star__item,
.star__container:not(:hover) > .star__radio:nth-of-type(2):checked ~ .star__item:nth-of-type(2) ~ .star__item,
.star__container:not(:hover) > .star__radio:nth-of-type(3):checked ~ .star__item:nth-of-type(3) ~ .star__item,
.star__container:not(:hover) > .star__radio:nth-of-type(4):checked ~ .star__item:nth-of-type(4) ~ .star__item,
.star__container:not(:hover) > .star__radio:nth-of-type(5):checked ~ .star__item:nth-of-type(5) ~ .star__item {
    filter: grayscale(1);
}


/*Hiển thị số sao đánh giá*/
.stars {
    display: inline-flex;
    gap: 5px;
}

.star {
    font-size: 20px;
    color: gold;
}